******************
Gaussian Processes
******************


GP
--

.. currentmodule:: pymc3.gp.gp
.. automodule:: pymc3.gp.gp
   :members:


Covariance Functions / Kernels
------------------------------

.. currentmodule:: pymc3.gp.cov
.. autosummary::

   ExpQuad
   RatQuad
   Matern32
   Matern52
   Exponential
   Cosine
   Linear
   Polynomial
   WarpedInput
   Gibbs

.. automodule:: pymc3.gp.cov
   :members:
